Web lists-archives.com

how to report bugs? (reportbug broken)




Hi everyone,

Phew, I find it quite difficult to report bugs in Debian. The
recommended way [1] is to use the command line tool reportbug instead
of a logging into a bug tracker and clicking "New Issue" like
everywhere else. (I'm sure there has been plenty discussion about that
before.)

Anyhow. One disadvantage of using a cmd tool is that tools can break,
and it's been broken for a while on my machine now. (Unfortunately,
this has prevented me from submitting multiple bugs already.)

When launching
```
reportbug -B debian
```
(running Ubuntu 19.04) and after two, three clicks I'm getting
```
E: You must put some 'source' URIs in your sources.list
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/reportbug/ui/gtk_ui.py", line
1049, in sync_pre_operation
    http_proxy=http_proxy, archived=archived, source=source)
  File "/usr/lib/python3/dist-packages/reportbug/debbugs.py", line
1069, in get_reports
    bugs = debianbts.get_bugs(pkg_filter, package)
  File "/usr/lib/python3/dist-packages/debianbts/debianbts.py", line
401, in get_bugs
    reply = soap_client.call('get_bugs', method_el)
  File "/home/nschloe/.local/lib/python3.7/site-packages/pysimplesoap/client.py",
line 256, in call
    self.xml_response = self.send(method, self.xml_request)
  File "/home/nschloe/.local/lib/python3.7/site-packages/pysimplesoap/client.py",
line 318, in send
    location, http_method, body=xml, headers=headers)
  File "/home/nschloe/.local/lib/python3.7/site-packages/httplib2/__init__.py",
line 1763, in request
    disable_ssl_certificate_validation=self.disable_ssl_certificate_validation,
  File "/home/nschloe/.local/lib/python3.7/site-packages/httplib2/__init__.py",
line 1247, in __init__
    context=context,
TypeError: fixer() missing 1 required positional argument: 'check_hostname'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/reportbug", line 2293, in <module>
    main()
  File "/usr/bin/reportbug", line 1115, in main
    return iface.user_interface()
  File "/usr/bin/reportbug", line 1736, in user_interface
    latest_first=self.options.latest_first)
  File "/usr/lib/python3/dist-packages/reportbug/ui/gtk_ui.py", line
1763, in func
    args, kwargs = op.sync_pre_operation(*args, **kwargs)
  File "/usr/lib/python3/dist-packages/reportbug/ui/gtk_ui.py", line
1051, in sync_pre_operation
    error_dialog("Unable to connect to %s BTS." % sysinfo['name'])
  File "/usr/lib/python3/dist-packages/reportbug/ui/gtk_ui.py", line
137, in error_dialog
    _assert_context(ui_context)
  File "/usr/lib/python3/dist-packages/reportbug/ui/gtk_ui.py", line
92, in _assert_context
    (_describe_context(really), _describe_context(expected)))
AssertionError: Function should be called in <MainContext of reportbug
thread> but was called in <MainContext of UI thread>
```
Perhaps I've got an incompatible version of a dependency installed in
`~/.local/`? Not sure, but looks like a classical Python dependency
thing.

How can I submit a new bug instead? (Mailing to
submit@xxxxxxxxxxxxxxx didn't work for me, nothing happened.) Help
appreciated.

Cheers,
Nico

[1] https://www.debian.org/Bugs/Reporting